<xsl:stylesheet>
<xsl:template match=".">
   <HTML>
   <head><title>Jans Freeware Collection</title>
   <style>
   .name {font-family:verdana;font-size:10pt;font-weight:bold}
   .size {font-family:verdana;font-size:8pt}
   .link {font-family:verdana;font-size:8pt}
   .desc {font-family:verdana;font-size:10pt;margin-top:3px;margin-bottom:20px}
   </style>
   </head>
      <BODY>
        <table>
           <tr>
          <td>&nbsp;</td>
          </tr>
            <xsl:call-template name="program">
            <xsl:sort select='@cat' order='descending'/>
            <xsl:sort select='parsefloat(@size)' data-type='number'/>
            </xsl:call-template>
         </table>
      </BODY>
   </HTML>
</xsl:template>
<xsl:template name="program" match="name='program'">
   <tr valign="top">
   <td>
       <span class='name'><a><xsl:attribute name='href'><xsl:value-of select="@link"/></xsl:attribute><xsl:value-of select="@name"/></a></span>
       <span class='size'>size: <xsl:value-of select="@size"/> </span>
       <span class='size'>category: <xsl:value-of select="@cat"/> </span>
       <br/>
       <p class='desc'><xsl:value-of select="."/></p></td>
   </tr>
</xsl:template>
</xsl:stylesheet>
