<xsl:stylesheet>
<xsl:template match=".">
   <HTML>
      <BODY>
         <div>
            <xsl:call-template name="ACT"/>
         </div>
      </BODY>
   </HTML>
</xsl:template>
<xsl:template name="ACT" match="name='ACT'">
   <h1><xsl:value-of select="child::TITLE"/></h1>
   <div>
      <xsl:call-template name="SCENE" />
   </div
</xsl:template>
<xsl:template name="SCENE" match="name='SCENE'">
   <h2><xsl:value-of select="child::TITLE"/></h1>
   <div>
      <xsl:call-template name="SPEECH"/>
   </div
</xsl:template>
<xsl:template name="SPEECH" match="name='SPEECH'">
   <div>
      <xsl:call-template name="SPEAKER" />
      <xsl:call-template name="LINE" />
   </div
</xsl:template>
<xsl:template name="SPEAKER" match="name='SPEAKER'">
   <p><b><xsl:value-of select="."/></b></p>
</xsl:template>
<xsl:template name="LINE" match="name='LINE'">
    <p><xsl:value-of select="."/></p>
</xsl:template>
</xsl:stylesheet>
